Summary:       Simple parallel processing fork manager
Name:          perl-Parallel-ForkManager
Version:       2.02
Release:       7%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/Parallel-ForkManager
Source0:       https://cpan.metacpan.org/authors/id/Y/YA/YANICK/Parallel-ForkManager-%{version}.tar.gz

BuildRequires: coreutils findutils glibc-common make sed
BuildRequires: perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(strict) perl(warnings)
BuildRequires: perl(Carp) perl(File::Path) perl(File::Spec) perl(File::Temp) perl(Moo)
BuildRequires: perl(Moo::Role) perl(POSIX) perl(Storable) perl(blib) perl(CPAN::Meta)
BuildRequires: perl(IO::Handle) perl(IPC::Open3) perl(Test::More) perl(Test::Warn) perl(utf8::all)
BuildArch:     noarch

%description
This module is intended for use in operations that can be done in parallel where the number of
processes to be forked off should be limited. Typical use is a downloader which will be retrieving
hundreds/thousands of files.

%prep
%autosetup -n Parallel-ForkManager-%{version}

i=lib/Parallel/ForkManager.pm && iconv -f iso-8859-1 -t utf-8 < $i > $i. && touch -r $i $i. && mv -f $i. $i

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.02-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.02-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.02-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.02-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.02-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.02-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Shuo Wang <abushwang@tencent.com> - 2.02-1
- initial build
